/*  bar_chart - bar chart render for stats.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */

#ifndef _BAR_CHART_H
#define _BAR_CHART_H

G_BEGIN_DECLS

#define BAR_CHART_TYPE	(bar_chart_get_type())

struct _BarChart {
	GtkCellRenderer bar_chart;

	GdkGC   *gc;
	double	value;

	double  max;
	gboolean scaled;
};

typedef struct _BarChart BarChart;

struct _BarChartClass {
	GtkCellRendererClass parent_class;
};

typedef struct _BarChartClass BarChartClass;

/* prototypes */
GtkCellRenderer *bar_chart_new(void);
GtkType bar_chart_get_type(void);

G_END_DECLS

#endif /* _BAR_CHART_H */
