/*  search - search datas in the list.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */


#ifndef _SEARCH_H
#define _SEARCH_H

/* MACRO FUNCTIONS */
#define ERROR_DIALOG(A,B)	GtkWidget *warn_dialog = gtk_message_dialog_new(GTK_WINDOW(interface.window),\
							GTK_DIALOG_DESTROY_WITH_PARENT,\
					    	GTK_MESSAGE_ERROR,\
					    	GTK_BUTTONS_OK,\
					    	(A),\
					    	(B));\
							gtk_dialog_run(GTK_DIALOG(warn_dialog));\
    						gtk_widget_destroy(warn_dialog);
							
#define SAVE_SEARCH_STATUS(A,B,C,D)	ssp.save_query_position = (A); \
									ssp.save_process_position = (B); \
									ssp.save_process_line_position = (C); \
									ssp.save_process_line_column_position = (D);
							
/* "save search position" structure */
typedef struct
{
	guint save_query_position;
	guint save_process_position;
	guint save_process_line_position;	/* table reference - row */
	guint save_process_line_column_position;
} save_search_position;

#endif				/* _SEARCH_H */
